umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Slots | Protected Attributes | Private Slots | List of all members
TestPackage Class Reference

`#include <testpackage.h>`

Inheritance diagram for TestPackage:

## Protected Slots
void | initTestCase ()
void | cleanupTestCase ()
Protected Slots inherited from TestBase
virtual void | initTestCase ()
virtual void | cleanupTestCase ()
virtual void | cleanupOnExit (QObject *p)

## Protected Attributes
SetLoading * | _sl
Protected Attributes inherited from TestBase
QList< QPointer< QObject > > | m_objectsToDelete

## Private Slots
void | test_appendClassesAndInterfaces ()
void | test_saveAndLoad ()

## Additional Inherited Members
Public Member Functions inherited from TestBase
| TestBase (QObject *parent=0)

## Member Function Documentation

## ◆ cleanupTestCase

void TestPackage::cleanupTestCase | ( |  | ) |
| inline protected slot

## ◆ initTestCase

void TestPackage::initTestCase | ( |  | ) |
| inline protected slot

## ◆ test_appendClassesAndInterfaces

void TestPackage::test_appendClassesAndInterfaces | ( |  | ) |
| private slot

## ◆ test_saveAndLoad

void TestPackage::test_saveAndLoad | ( |  | ) |
| private slot

## Member Data Documentation

## ◆ _sl

SetLoading* TestPackage::_sl
| protected

The documentation for this class was generated from the following files:

- unittests/testpackage.h
- unittests/testpackage.cpp